%define anolis_release .0.3
%global soname dframeworkdbus
%global repo   dde-qt-dbus-factory

%if 0%{?fedora}
Name:           deepin-qt-dbus-factory
%else
Name:           dde-qt-dbus-factory
%endif
Version:        5.5.22
Release:        1%{anolis_release}%{?dist}.01
Summary:        A repository stores auto-generated Qt5 dbus code
# The entire source code is GPLv3+ except
# libdframeworkdbus/qtdbusextended/ which is LGPLv2+
License:        GPLv3+ and LGPLv2+
URL:            https://github.com/linuxdeepin/dde-qt-dbus-factory
Source0:        %{url}/archive/%{version}/%{repo}-%{version}.tar.gz

BuildRequires:  python3
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  qt5-qtbase-private-devel
BuildRequires:  make
%if 0%{?fedora}
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}
%endif

%description
A repository stores auto-generated Qt5 dbus code.

%package devel
Summary:        Development package for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       cmake-filesystem

%description devel
Header files and libraries for %{name}.

%prep
%autosetup -p1 -n %{repo}-%{version}
sed -i "s/env python$/env python3/g" libdframeworkdbus/generate_code.py

%build
%qmake_qt5 LIB_INSTALL_DIR=%{_libdir}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc README.md CHANGELOG.md technology-overview.md
%license LICENSE
%{_libdir}/lib%{soname}.so.2*

%files devel
%{_includedir}/lib%{soname}-2.0/
%{_libdir}/pkgconfig/%{soname}.pc
%{_libdir}/lib%{soname}.so
%{_libdir}/cmake/DFrameworkdbus/

%changelog
* Fri Jan 12 2024 yangxianzhao <yangxianzhao@uniontech.com> - 5.5.22-1.0.1.03
- rebuild for qt5-qtbase

* Wed Sep 20 2023 yangxianzhao <yangxianzhao@uniontech.com> - 5.5.22-1.0.1.02
- rebuild for qt5-qtbase-5.15.3

* Mon Jul 10 2023 yangxianzhao <yangxianzhao@uniontech.com> - 5.5.22-1.0.1.01
- rebuild for qt 5.15.3

* Sat Feb 25 2023 lvgenggeng <lvgenggeng@uniontech.com> - 5.5.22-1.01
- rebuild

* Thu Dec 29 2022 liweiganga <liweiganga@uniontech.com> - 5.5.22-1
- update: update to 5.5.22

* Mon Jun 13 2022 uoser <uoser@uniontech.com> - 5.4.21-1.01
- update: update to 5.4.21-1.01
